PROGRAM hello

	!### Need to include this to be able to hook into the MPI API ###
	INCLUDE 'mpif.h'

	INTEGER*4 :: numprocs, rank, ierr

	!### Initializes MPI ###
	CALL MPI_INIT(ierr)
	
	!### Figures out the number of processors I am asking for ###
	CALL MPI_COMM_SIZE(MPI_COMM_WORLD, numprocs, ierr)

	!### Figures out which rank we are ###
	CALL MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)

	write(*,*) 'Process', rank, 'out of', numprocs

	!### Need this to shutdown MPI ###
	CALL MPI_FINALIZE(ierr)

END PROGRAM hello
