#include <stdio.h>
/* Need to include this to be able to hook into the MPI API */
#include <mpi.h>

int main(int argc, char *argv[]) {
	int numprocs, rank;

	/* Initializes MPI */
	MPI_Init(&argc, &argv);

	/* Figures out the number of processors I am asking for */
	MPI_Comm_size(MPI_COMM_WORLD, &numprocs);

	/* Figures out which rank we are */
	MPI_Comm_rank(MPI_COMM_WORLD, &rank);

	printf("Process %d out of %d\n", rank, numprocs);

	/* Need this to shutdown MPI */
	MPI_Finalize();
}
