#!/usr/bin/env python
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# Parallel Python test program: PyPar  
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
import pypar

nproc = pypar.size()                # Size of communicator 
iproc = pypar.rank()                # Ranks in communicator
inode = pypar.get_processor_name()  # Node where this MPI process runs

if iproc == 0: print "This code is a test for PyPar."

for i in range(0,nproc):
    pypar.barrier()
    if iproc == i:
        print 'Rank %d out of %d' % (iproc,nproc)

pypar.finalize()
